package dialog;
import tm2.*;

import java.awt.*;
import mdgawt.*;
import java.awt.event.*;

public class MachineDialog extends Dialog implements ActionListener{
      TextArea ta;
      TMG tmg;
      Machine mach;
   public MachineDialog(TMG t, Machine m){
      super(t.myFrame,"State",true);
      mach=m;;tmg=t;
      setSize(300,130);
      setResizable(false);
      Point p1 = tmg.getLocation();
      Point p2 = mach.getLocation();
      setLocation(p1.x+p2.x,p1.y+p2.y);
      setLayout(new BorderLayout());
      ta = new TextArea(m.getText(),40,3);
      add("Center",ta);
      Panel p = new Panel();
      Button b = new Button("Ok");
      b.addActionListener(this);
      p.add(b);
      b = new Button("Cancel");
      b.addActionListener(this);
      p.add(b);
      add("South",p);}
   public void actionPerformed(ActionEvent e){
       Object c = e.getSource();
       if (c instanceof Button){
         String command = ((Button)c).getLabel();
         if(command.equals("Ok")){
            if(tmg.find(ta.getText())==null || tmg.find(ta.getText())==mach){
               mach.setText(ta.getText());
               tmg.fullRepaint();
               dispose();}
         }
         else if(command.equals("Cancel"))dispose();
      }
   }
}




