package dialog;
import tm2.*;

import java.awt.*;
import mdgawt.*;
import java.awt.event.*;
import java.io.*;

public class TapeDialog extends Dialog implements ActionListener{
      UpDownCounter num= new UpDownCounter(1,Tape.maxTapes);
      TMG tmg;
   public TapeDialog(TMG t){
      super(t.myFrame,"Number of tapes",true);
      tmg=t;
      setSize(300,130);
      setResizable(false);
      Point p1 = tmg.getLocation();
      Dimension d = tmg.getSize();
      Panel p;Button b;
      setLocation(p1.x+d.width/2-150,p1.y+d.height/2-65);
      if(tmg.getType()==TMG.PDA){
         setLayout(new GridLayout(2,1,5,5));
         p = new Panel();
         p.add(new Label("PDA is restricted to 2 tapes."));add(p);}
      else{
         setLayout(new GridLayout(3,1,5,5));
         p = new Panel();p.add(new Label("Number of tapes"));add(p);
         p = new Panel();p.add(num);add(p);}
      num.setValue(Tape.getNumTapes());
      p = new Panel();      
         b = new Button("Ok");b.addActionListener(this);p.add(b);
         b = new Button("Cancel");b.addActionListener(this);
         if(tmg.getType()!=TMG.PDA)p.add(b);
         add(p);}
   public void actionPerformed(ActionEvent e){
       Object c = e.getSource();
       char[] chars = new char[Tape.maxTapes];
       if (c instanceof Button){
         String command = ((Button)c).getLabel();
         if(command.equals("Ok")){
            TMG.getMainGraph().getTape().setNumTapes(num.getValue());
           // TMG.getMainGraph().minimizeCanvas();
            TMG.getMainGraph().repaintAllGraphs();
            dispose();}
         else if(command.equals("Cancel"))dispose();
      }
   }
}

