
package mdgawt;

import java.awt.*;

public class SmallCounter extends BigCounter{
   private boolean useCustomColor = false;
   private Color counterCustom    = Color.black;
   private Color numberCustom     = Color.black;
// ---------------------------CONSTRUCTOR------------------------------------
   public SmallCounter(int n,int len){super(n,len);}
   public SmallCounter(int n){super(n);}
   public Dimension getPreferredSize(){return new Dimension((numDigits*6)+10,17);}
   public Dimension getMinimumSize(){return new Dimension((numDigits*6)+10,17);}
   public void setColors(Color c,Color cn){
      useCustomColor=true;
      counterCustom = c;numberCustom = cn;}
// ------------------------------PAINT---------------------------------------
   public synchronized void createBuffer(){
      int s = (numDigits*6)+10;
      setSize(s,17); 
      if(getParent()!=null)getParent().doLayout();
      b=createImage(s,17); 
      if(b==null)return;
      bg=b.getGraphics();
      bg.setColor(Color.black);
      bg.fillRect(0,0,s,17);   
      bg.setColor(Color.darkGray);
      bg.drawLine(1,1,s-2,1);bg.drawLine(2,2,s-3,2);     
      bg.drawLine(1,1,1,15);bg.drawLine(2,2,2,14);
      bg.setColor(Color.white);
      bg.drawLine(s-2,15,s-2,2);bg.drawLine(s-2,15,2,15);
      bg.drawLine(s-3,14,s-3,3);bg.drawLine(s-3,14,3,14);}

   public synchronized void paint(Graphics g) {
      if(g==null)return;
      String s = Integer.toString(num);
      int ls = s.length();
      if(type==VARIABLE && ls!=numDigits){
         numDigits=ls;
         createBuffer();}
      if(b==null)createBuffer();
      int width = getSize().width;
      bg=b.getGraphics();
      if(useCustomColor)bg.setColor(counterCustom);
      else bg.setColor(counter);
      bg.fillRect(3,3,width-6,11);   
      if(useCustomColor)bg.setColor(numberCustom);
      else bg.setColor(number);
      if(type==FIXED){
         for(int k=0,start=((numDigits-ls)*6)+6;k<ls;k++,start+=6) 
            NUMS.drawNum(bg,start,5,(s.charAt(k)-'0'));}    
      else {
         for(int k=0,start=6;k<ls;k++,start+=6) 
            NUMS.drawNum(bg,start,5,(s.charAt(k)-'0'));}    
      g.drawImage(b,0,0,this);
   }
}
